/*
Theme Name: Mi Child Theme
Template: hello-elementor
*/



/* BOTÓN CONTACTA y BOTONES HEADER */
.menu-item-538{
	background-color: #136F7D !important;
	height: 40px !important;
	border-radius: 25px !important;
	color: #fefefe;
}
.menu-item-538 a{
	color: #fefefe !important;
}
.menu-item a{
	padding-bottom: 0px !important;
}
#site-header{
	z-index: 50000;
}
#menu-item-608 a, #menu-item-617 a{
	padding: 0px !important;
	border-radius: 50% !important;
	border: 2px solid #136F7D !important;
	color: #136F7D !important;
	height: 30px !important;
	width: 30px !important;
	margin-top: 7px !important;
	margin-left: 5px !important;
	text-align: center !important;
	font-size: 10px !important;
	display: flex !important;
	justify-content: center !important;
	align-items: center !important;
}
#menu-item-617 a{
	color: #fefefe !important;
	background-color: rgb(200, 100, 100) !important;
	border: 2px solid rgb(200, 100, 100) !important;
}

/* INICIO */
.elementor-element-1ad97ca{
	color: #fefefe !important;
}
#wpcf7-f593-p243-o1 form p label span input, #wpcf7-f593-p243-o1 form p label span textarea{
	margin-top: 10px !important;
	border: none !important;
	border-radius: 10px !important;
	width: 500px !important;
}
#wpcf7-f593-p243-o1 textarea{
	float: left !important;
}
#wpcf7-f593-p243-o1 form p .wpcf7-form-control{
	background-color: #fefefe !important;
	color: #E25951 !important;
	font-weight: bold !important;
}



/* FOOTER */
#site-footer{
	background-color: #313e46 !important;
	color: white !important;
	padding: 30px 0 !important; /* espacio interno */
	text-align: center !important;
	position: relative !important;
	width: 100% !important;
	clear: both !important;
}
#site-footer a{
	color: white !important;
}
#site-footer a:hover{
	color: #00aae4 !important;
}



/* WOOCOMMERCE PRODUCT */
.woocommerce-page{
	background-color: white !important;
}
.product-type-variable{
	padding-bottom: 10px !important;
}

.wp-singular{
	background-color: white !important;
}
.product-template-default{
	background-image: none !important;
}
.woocommerce-breadcrumb{
	display: none;
}
.woocommerce-tabs{
	display: none;
}
.summary{
	width: 100% !important;
	padding-left: 200px;
	padding-top: 20px;
	position: relative !important;
	z-index: 30000 !important;
	background-color: white !important;
}
.product_title{
	color: #00aae4;
}
.custom-product-paragraph{
	font-weight: bold;
	padding-left: 15px;
}
.price{
	display: none;
}
.variations{
	width: 60% !important;
}
.quantity{
	display: none !important;
}
.product_meta{
	display: none;
}
.single_add_to_cart_button{
	background-color: #00aae4 !important;
	width: 300px !important;
	border-radius: 30px !important;
	font-weight: normal !important;
}

/* FORMULARIO */
#open-form-button{
	color: #00aae4;
	cursor: pointer;
	border: none !important;
	background-color: transparent !important;
	width: fit-content !important;
	white-space: normal !important;
	text-align: left !important;
	margin-bottom: 50px;
}
.wpcf7-submit{
	background-color: #00aae4 !important;
	border-radius: 25px !important;
	width: 150px !important;
	border: none !important;
	color: white !important;
	font-weight: bold;
	display: block !important;
	margin: 0 auto !important;
}
.custom-form-wrapper {
    position: relative;
}
.wpcf7-textarea{
	height: 100px !important;
}
#hidden-form {
	position: fixed;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    background: white;
    padding: 30px;
    box-shadow: 0 0 15px rgba(0, 0, 0, 0.3);
    border-radius: 8px;
    z-index: 1000;
    display: none;
    max-width: 100%; /* Evita desbordamiento en móviles */
    width: fit-content;
    max-height: fit-content;
    overflow-y: auto;
    box-sizing: border-box;}
body::before {
    content: '';
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    z-index: 999 !important;
    display: none;
}
#hidden-form.show {
    display: block;
}
body.show-modal::before {
    display: block;
}
.wau_wrapper_div{
	margin-bottom: 30px;
	display: none;
}
#trigger-upload{
	width: 100px !important;
	height: 100px !important;
}
.custom-upload-trigger{
	padding-left: 75px !important;	
}

#hidden-form .close-form-button {
    position: absolute;
    top: 0px !important;
    right: 0px !important;
    background: transparent;
    border: none;
    font-size: 24px;
    font-weight: bold;
    color: #333;
    cursor: pointer;
    z-index: 1001;
}
#hidden-form .close-form-button:hover {
    color: #00aae4;
}




/* DISEÑO ATRIBUTOS PRODUCTO */
.radio-circle-option {
	display: inline-block;
	margin-right: 10px;
	cursor: pointer;
}

.radio-circle-option input[type="radio"] {
	display: none;
}

.radio-circle-option span {
	display: inline-block;
	padding: 10px 20px;
	border: 2px solid #ccc;
	border-radius: 50px;
	background-color: #f9f9f9;
	transition: all 0.2s ease;
}

.radio-circle-option input[type="radio"]:checked + span {
	border-color: #0071a1;
	background-color: #e0f7ff;
	font-weight: bold;
}
.variations, .variations tbody, .variations tbody tr, .variations tbody tr th, .variations tbody tr td{
	background-color: #fefefe !important;
}
.radio-circle-option span{
	background-color: #fefefe !important;
}

@media (max-width: 500px) {
   	.summary{
		padding-left: 0px;
		text-algin: center !important;
	}

	.menu-item a{
		padding-bottom: 20px !important;
	}

	.elementor-heading-title{
		font-size: 40px !important;
		width: 100% !important;
	}

	.elementor-button{
		width: 120px !important;
	}

	.elementor-button-text{
		font-size: 15px;
	}
	.elementor-element-23a36e5{
		padding: 0 !important;
		margin: 0 !important;
		padding-left: 40px !important;
	}
	.menu-item-538 a{
		color: #676767 !important;
	}
	.variations{
		width: 70% !important;
		margin: 0 auto !important;
	}
	.elementor-element-1335a88 .elementor-widget-container h2{
		font-size: 40px !important;
	}
	.elementor-element-ab8a772, .elementor-element-ab8a772 div div a{
		width: 200px !important;
	}
	.elementor-element-ab8a772 .elementor-button-text{
		font-size: 20px !important;
	}
	.elementor-element-853a6ba img{
		width: 200px !important;
	}
	.elementor-element-810a46b .elementor-widget-container{
		width: 250px !important;
		object-fit: contain !important;
	}
	.elementor-element-810a46b .elementor-widget-container img{
		width: 250px !important;
		object-fit: contain !important;
		padding-left: 15px !important;
	}
	.elementor-element-2a8153f .elementor-heading-title{
		font-size: 50px !important;
	}
	.elementor-element-e17d348 .elementor-heading-title{
		font-size: 26px !important;
	}
	.elementor-element-1ad97ca{
		padding: 0 30px !important;
	}
	#wpcf7-f593-p243-o1 form p label span input, #wpcf7-f593-p243-o1 form p label span textarea{
		width: 100% !important;
	}
	.product_title{
		text-align: center !important;
		margin-bottom: 50px !important;
		font-size: 40px !important;
	}
	#maquetacionText{
		margin-left: -53px !important;
	}
	.single_add_to_cart_button{
		margin-left: 87px !important;
		margin-top: 50px !important;
		width: 200px !important;
		
	}
	.custom-product-paragraph{
		font-size: 14px !important;
	}
	#open-form-button{
		font-size: 14px !important;
		margin-left: 18px !important;
	}
	.wau_wrapper_div{
		font-size: 13px !important;
	}
	#wau_file_addon{
		width: 60% !important;
	}
	.variations{
		padding: 0 !important;
	}
	.variations tbody{
		padding: 0 !important;
		width: 100% !important;
	}
	.radio-options-group{
		padding: 0 !important;
	}
	.variations .label{
		display: none !important;
	}
	 #hidden-form {
        	padding: 20px;
		margin: 0 !important;
        	border-radius: 6px;
		width: 80% !important;
    	}
	.custom-upload-trigger{
		padding-left: 45px !important;	
	}
		
}


/* Jesus */
.menu a {
    color: black;
}

.menu a:hover, .menu a.current-menu-item {
    color: #00b9d0;
}

.elementor-243 .elementor-element.elementor-element-ab8a772 .elementor-button {
	background: #0b5676;
	text-decoration: none !important;
	font-size: 30px !important;
}

.elementor-element-8aa647f h2, .elementor-element-1335a88 h2 {
	color: #0fb2c8 !important;
	font-size: 56px !important;
}

.elementor-243 .elementor-element.elementor-element-810a46b:not(.elementor-motion-effects-element-type-background), .elementor-243 .elementor-element.elementor-element-810a46b > .elementor-motion-effects-container > .elementor-motion-effects-layer,
.elementor-243 .elementor-element.elementor-element-810a46b::before, .elementor-243 .elementor-element.elementor-element-810a46b > .elementor-background-video-container::before, .elementor-243 .elementor-element.elementor-element-810a46b > .e-con-inner > .elementor-background-video-container::before, .elementor-243 .elementor-element.elementor-element-810a46b > .elementor-background-slideshow::before, .elementor-243 .elementor-element.elementor-element-810a46b > .e-con-inner > .elementor-background-slideshow::before, .elementor-243 .elementor-element.elementor-element-810a46b > .elementor-motion-effects-container > .elementor-motion-effects-layer::before {
	background: #0fb2c8 !important;
	padding: 40px;
}